Bug 229753 - Bug in numpy is preventing scipy from building correctly. Upstream fix is in svn.
Summary: Bug in numpy is preventing scipy from building correctly. Upstream fix is in ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: numpy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 06:37 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 22:21:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jef Spaleta 2007-02-23 06:37:49 UTC
Description of problem:

There is a bug in numpy which is causing an incorrect cpu identification in the
numpy codebase.  There is a fix for this in numpy's svn already.  Is there
anyway you could patch numpy with the fix?  Without it, I can't build the newest
scipy on the fedora build system.

References:
http://projects.scipy.org/scipy/scipy/ticket/349#comment:1
http://projects.scipy.org/scipy/numpy/changeset/3538

How reproducible:
Only reproducible on the affected cpus. So local builds under mock will work for
some people, but this will consistently fail on our central buildhosts.. because
they happen to be the affected cpus...sigh.

This most likely affects fc6 as well as devel. But I wasn't going to try to push
the scipy update to fc6 through the buildsystem until its in devel first.

-jef

Comment 1 Jarod Wilson 2007-02-23 21:55:11 UTC
Okay, no problem, I'll get a patched build done a bit later tonight...

Hey, you wanna be an official co-maintainer for numpy?

Comment 2 Jarod Wilson 2007-02-23 22:21:57 UTC
Building for rawhide, FC6 and FC5 now.


Note You need to log in before you can comment on or make changes to this bug.